Debian Bug report logs - #76346
gtksee: segfaulting a lot with 4-bit or below PNG

version graph

Package: gtksee; Maintainer for gtksee is (unknown);

Reported by: Ignasi Tura <itura@rocketmail.com>

Date: Mon, 6 Nov 2000 03:04:24 UTC

Severity: grave

Tags: fixed, security, upstream

Found in versions 0.3.0-1, 0.5.2-0.1

Fixed in version gtksee/0.5.6-1

Done: Nico Golde <nico@ngolde.de>

Bug is archived. No further changes may be made.

Forwarded to Lee Luyang <jkhotaru@mail.sti.com.cn>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, stu@novare.net (Robert S. Edmonds):
Bug#76346; Package gtksee. Full text and rfc822 format available.

Acknowledgement sent to Ignasi Tura <itura@rocketmail.com>:
New Bug report received and forwarded. Copy sent to stu@novare.net (Robert S. Edmonds). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ignasi Tura <itura@rocketmail.com>
To: submit@bugs.debian.org
Subject: gtksee segfaulting a lot with 4-bit or below PNG
Date: Sun, 5 Nov 2000 18:50:50 -0800 (PST)
[Message part 1 (text/plain, inline)]
Package: gtksee
Version: 0.3.0-1


Kernel: Linux pabellon 2.2.17-compact #1 Sun Jun 25
01:10:11 MST 2000 i686 unknown
C library: libc-2.1.3.so

Other (perhaps) relevant stuff: 
PIII Katmai
Checking 386/387 coupling... OK, FPU using exception
16 error reporting.

All the stuff I have in the computer comes from Debian
Potato.




Dear colleague/s,


After testing lots of .pngs with GTKSee, I've arrived
to the conclusion that segfaults a lot when it reads
4-bit deep paletted image or below (2-bit, for
example), according from watching the file with xli.
8-bit do not seem to cause segfault.

I suggest to use the .png buttons that appear in the
Debian Guide, or the ones appearing in
/usr/share/xemacs21/packages/etc/mine/. GTKSee shows
them in a very bad manner and segfaults. I have not
found any clear clue about when it exactly segfaults.
For example:

I have

01.png
02.png
03.png
04.png
05.png


I open GTKSee with non-thumbnailing mode. I click over
01. It's very bad shown. I click over 02, with the
same result. I click over 03 and it segfaults. I run
again GTKSee and I do the same clicking process than
before (01, 02, 03). It segfaults again. But if I run
again GTKSee and I click 02, 03, 04, for example, it
does not segfault. 03 does not make GTKSee sagfault.
The order of clickings is very important, but I don't
have any clue in understanding this process order.


I know this error is somewhat more complex than I'm
trying to describe here. I've got different behaviours
of GTKSee when segfaulting, sometimes also with 

libpng error: Decompression error
Segmentation fault

I send you this case that shows this GTKSee erratic
bug. It's the file called kids.png.


Note: in my case, it seems that all the files I
mentioned from the xemacs package make directly
segfaulting GTKSee, but empty_16_up.png is not the
case. It can be shown. Click on the next one and
segfaults.


Configuration:

Apart from ~/.gtksee/gtkseerc I have also there a
gtkrc, which is an empty file.


~/.gtksee/gtkseerc contents:

# GTK See configuration file
#
# DO NOT modify by hand unless you know what you are
doing!
#
fit_screen=0
hidden_directory=/dev:/proc
full_screen=0
image_list_type=1
slideshow_delay=4000
fast_preview=1
show_hidden=1
hide_non_images=1
root_directory=/






Well, this is the first bug report I send to Debian.
Best of luck to you, people. Hope you have found my
bug report somewhat decent.



Best again,


Ignasi



__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one Place.
http://shopping.yahoo.com/
[kids.png (image/png, inline)]

Merged 76346 76348. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to Lee Luyang <jkhotaru@mail.sti.com.cn>. Request was from Lenart Janos <ocsi@irisz.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Lenart Janos <ocsi@irisz.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #76348 from all other report(s). Request was from Lenart Janos <ocsi@irisz.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Lenart Janos <ocsi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Lenart Janos <ocsi@debian.org>:
Bug#76346; Package gtksee. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Lenart Janos <ocsi@debian.org>. Full text and rfc822 format available.

Message #20 received at 76346@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: 76346@bugs.debian.org
Subject: security
Date: Sun, 29 Jun 2003 12:40:21 -0400
severity 76346 grave
tags 76346 security
thanks

This bug represents a security exposure and should be fixed as soon as
possible.  See DSA 337-1 for details.

-- 
 - mdz



Severity set to `grave'. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: security Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Sebastien Bacher <seb128@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Lenart Janos <ocsi@debian.org>:
Bug#76346; Package gtksee. Full text and rfc822 format available.

Acknowledgement sent to seb128 <seb128@debian.org>:
Extra info received and forwarded to list. Copy sent to Lenart Janos <ocsi@debian.org>. Full text and rfc822 format available.

Message #31 received at 76346@bugs.debian.org (full text, mbox):

From: seb128 <seb128@debian.org>
To: 76346@bugs.debian.org
Subject: re: #76346: gtksee: segfaulting a lot with 4-bit or below
Date: Thu, 17 Jul 2003 02:44:19 +0200
[Message part 1 (text/plain, inline)]
I will upload a NMU fixed package in delayed/4-day for the Debcamp BSP.
Package is based on the new upstream release, changes in /debian dir of
the package are in the diff attached to the mail.

[gtksee.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#76346; Package gtksee. Full text and rfc822 format available.

Acknowledgement sent to Lenart Janos <ocsi@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #36 received at 76346@bugs.debian.org (full text, mbox):

From: Lenart Janos <ocsi@debian.org>
To: seb128 <seb128@debian.org>, 76346@bugs.debian.org
Subject: Re: Bug#76346: #76346: gtksee: segfaulting a lot with 4-bit or below
Date: Thu, 17 Jul 2003 13:07:52 +0200
On Thu, Jul 17, 2003 at 02:44:19AM +0200, seb128 wrote:
> I will upload a NMU fixed package in delayed/4-day for the Debcamp BSP.
> Package is based on the new upstream release, changes in /debian dir of
> the package are in the diff attached to the mail.
Thank you! Unfortunately I don't have too much time nowadays (see my
LDAP: On vacation). I have copied your gtksee* files from delay/4-day/
into incoming/, so you can safely remove your ones, or just ignore the
error message.

Regards,
-- 
Lenart, Janos
<ocsi@debian.org>



Tags added: fixed Request was from Sebastien Bacher <seb128@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Lenart Janos <ocsi@debian.org>:
Bug#76346; Package gtksee. Full text and rfc822 format available.

Acknowledgement sent to Thanasis Kinias <tkinias@asu.edu>:
Extra info received and forwarded to list. Copy sent to Lenart Janos <ocsi@debian.org>. Full text and rfc822 format available.

Message #43 received at 76346@bugs.debian.org (full text, mbox):

From: Thanasis Kinias <tkinias@asu.edu>
To: Debian Bug Tracking System <76346@bugs.debian.org>
Subject: gtksee: Not fixed
Date: Mon, 28 Jul 2003 15:33:50 -0700
Package: gtksee
Version: 0.5.2-0.1
Followup-For: Bug #76346


GTKsee is consistently segfaulting on one-bit PNGs.  It is completely
nonfunctional at the current time.


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux glaux 2.4.18-686 #1 Sun Apr 14 11:32:47 EST 2002 i686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (ignored: LC_ALL set)

Versions of packages gtksee depends on:
ii  libc6                         2.3.1-16   GNU C Library: Shared libraries an
ii  libglib1.2                    1.2.10-9   The GLib library of C routines
ii  libgtk1.2                     1.2.10-16  The GIMP Toolkit set of widgets fo
ii  libjpeg62                     6b-8       The Independent JPEG Group's JPEG 
ii  libpng12-0                    1.2.5.0-4  PNG library - runtime
ii  libtiff3g                     3.5.7-2    Tag Image File Format library
ii  xlibs                         4.2.1-6    X Window System client libraries
ii  zlib1g                        1:1.1.4-14 compression library - runtime

-- no debconf information




Reply sent to Nico Golde <nico@ngolde.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ignasi Tura <itura@rocketmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 76346-close@bugs.debian.org (full text, mbox):

From: Nico Golde <nico@ngolde.de>
To: 76346-close@bugs.debian.org
Subject: Bug#76346: fixed in gtksee 0.5.6-1
Date: Thu, 05 Aug 2004 15:47:35 -0400
Source: gtksee
Source-Version: 0.5.6-1

We believe that the bug you reported is fixed in the latest version of
gtksee, which is due to be installed in the Debian FTP archive:

gtksee_0.5.6-1.diff.gz
  to pool/main/g/gtksee/gtksee_0.5.6-1.diff.gz
gtksee_0.5.6-1.dsc
  to pool/main/g/gtksee/gtksee_0.5.6-1.dsc
gtksee_0.5.6-1_i386.deb
  to pool/main/g/gtksee/gtksee_0.5.6-1_i386.deb
gtksee_0.5.6.orig.tar.gz
  to pool/main/g/gtksee/gtksee_0.5.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 76346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nico Golde <nico@ngolde.de> (supplier of updated gtksee package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 10 Jul 2004 01:49:16 +0200
Source: gtksee
Binary: gtksee
Architecture: source i386
Version: 0.5.6-1
Distribution: unstable
Urgency: medium
Maintainer: Nico Golde <nico@ngolde.de>
Changed-By: Nico Golde <nico@ngolde.de>
Description: 
 gtksee     - GTK-based clone of ACDSee (an image viewer)
Closes: 76346 142800 168015 175195 194758 226401 259435
Changes: 
 gtksee (0.5.6-1) unstable; urgency=medium
 .
   * New upstream release (Closes: #226401).
   * New Maintainer.
   * Updated standards version to 3.6.1
   * Closing some bugs.
     + Fix problem with some images (Closes: #142800).
     + Fix problem with menu "delete" function (Closes: #175195).
     + Fix problem with hidden directories (Closes: #259435).
     + Fix segfaults with 4-bit or below png files (Closes: #76346).
     + Fix handling of some png files (Closes: #194758).
     + Fix millenium bug (Closes: #168015).
   * Package now uses cdbs and dpatch
Files: 
 827e3a4af365ced5fa99476d645591a5 629 graphics extra gtksee_0.5.6-1.dsc
 1f5a43a869938c7a2bef1276203dfdc5 322313 graphics extra gtksee_0.5.6.orig.tar.gz
 44f14d411a140291328ed334f2289a25 11784 graphics extra gtksee_0.5.6-1.diff.gz
 3716293ebd31c4ea34c02ff17b009b85 162572 graphics extra gtksee_0.5.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBEoU6Qxo87aLX0pIRAqbeAKCBBBiW5GWLd2MSaVT9DmTJY8sl/QCg3oDq
N4t0M03qI32YKmXzsYOPw/U=
=ucDa
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:47:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.